path: /build/build/mpd-media-sound-0.23.15+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - eval 'mkdir -p /etc/portage/patches/media-sound/mpd/ || true' && cp -v patches/*
    /etc/portage/patches/media-sound/mpd/
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ao -chromaprint -doc -expat -jack -libmpdclient -libsamplerate -libsoxr -mpg123 -nfs -openal -qobuz -samba -selinux -sndio -soundcloud -sqlite -test -udisks -upnp -zip alsa audiofile cdio curl dbus faad ffmpeg flac fluidsynth gme icu id3tag lame mad mikmod mms modplug musepack network opus pulseaudio sid sndfile twolame vorbis wavpack wildmidi zeroconf zlib" emerge media-sound/mpd -pv -t && \
    USE="-ao -chromaprint -doc -expat -jack -libmpdclient -libsamplerate -libsoxr -mpg123 -nfs -openal -qobuz -samba -selinux -sndio -soundcloud -sqlite -test -udisks -upnp -zip alsa audiofile cdio curl dbus faad ffmpeg flac fluidsynth gme icu id3tag lame mad mikmod mms modplug musepack network opus pulseaudio sid sndfile twolame vorbis wavpack wildmidi zeroconf zlib" emerge -j ${JOBS} --nodeps media-sound/mpd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mpd && luet-portage --dir /pkgdir/mpd
    media-sound/mpd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:062a8fe6f7f1549f6a73620576616a9eda9ec2f74fdac48b490099d1b1957f28
  package:
    name: mpd
    version: 0.23.15+2
    category: media-sound
    use_flags:
    - -ao
    - -chromaprint
    - -doc
    - -expat
    - -jack
    - -libmpdclient
    - -libsamplerate
    - -libsoxr
    - -mpg123
    - -nfs
    - -openal
    - -qobuz
    - -samba
    - -selinux
    - -sndio
    - -soundcloud
    - -sqlite
    - -test
    - -udisks
    - -upnp
    - -zip
    - alsa
    - audiofile
    - cdio
    - curl
    - dbus
    - faad
    - ffmpeg
    - flac
    - fluidsynth
    - gme
    - icu
    - id3tag
    - lame
    - mad
    - mikmod
    - mms
    - modplug
    - musepack
    - network
    - opus
    - pulseaudio
    - sid
    - sndfile
    - twolame
    - vorbis
    - wavpack
    - wildmidi
    - zeroconf
    - zlib
    requires:
    - name: wildmidi
      version: '>=0'
      category: media-sound
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The Music Player Daemon (mpd)
    uri:
    - https://www.musicpd.org https://github.com/MusicPlayerDaemon/MPD
    license: GPL-2
    buildtimestamp: 2024-09-02 06:07:08.124054107 +0000 UTC m=+179.223810732
    labels:
      BDEPEND: '>=dev-util/meson-0.49.2 virtual/pkgconfig >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2'
      DEPEND: sys-libs/liburing:= alsa? ( media-libs/alsa-lib media-sound/alsa-utils
        ) ao? ( media-libs/libao:=[alsa?,pulseaudio?] ) audiofile? ( media-libs/audiofile:=
        ) cdio? ( dev-libs/libcdio:= dev-libs/libcdio-paranoia ) chromaprint? ( media-libs/chromaprint
        ) curl? ( net-misc/curl ) dbus? ( sys-apps/dbus ) doc? ( dev-python/sphinx
        ) expat? ( dev-libs/expat ) faad? ( media-libs/faad2 ) ffmpeg? ( media-video/ffmpeg:=
        ) flac? ( media-libs/flac:= ) fluidsynth? ( media-sound/fluidsynth ) gme?
        ( >=media-libs/game-music-emu-0.6.0_pre20120802 ) icu? ( dev-libs/icu:= )
        id3tag? ( media-libs/libid3tag:= ) jack? ( virtual/jack ) lame? ( network?
        ( media-sound/lame ) ) libmpdclient? ( media-libs/libmpdclient ) libsamplerate?
        ( media-libs/libsamplerate ) libsoxr? ( media-libs/soxr ) mad? ( media-libs/libmad
        ) mikmod? ( media-libs/libmikmod ) mms? ( media-libs/libmms ) modplug? ( media-libs/libmodplug
        ) mpg123? ( media-sound/mpg123 ) musepack? ( media-sound/musepack-tools )
        network? ( media-libs/libshout ) nfs? ( net-fs/libnfs ) openal? ( media-libs/openal
        ) opus? ( media-libs/opus ) pulseaudio? ( media-sound/pulseaudio ) qobuz?
        ( dev-libs/libgcrypt:0 ) samba? ( net-fs/samba ) selinux? ( sec-policy/selinux-mpd
        ) sid? ( || ( media-libs/libsidplay:2 media-libs/libsidplayfp ) ) sndfile?
        ( media-libs/libsndfile ) sndio? ( media-sound/sndio ) soundcloud? ( >=dev-libs/yajl-2:=
        ) sqlite? ( dev-db/sqlite:3 ) twolame? ( media-sound/twolame ) udisks? ( sys-fs/udisks:2
        ) upnp? ( net-libs/libupnp:0 ) vorbis? ( media-libs/libvorbis ) wavpack? (
        media-sound/wavpack ) wildmidi? ( media-sound/wildmidi ) zeroconf? ( net-dns/avahi[dbus]
        ) zip? ( dev-libs/zziplib:= ) zlib? ( sys-libs/zlib:= ) dev-libs/boost:= dev-libs/libfmt
        test? ( dev-cpp/gtest ) sys-apps/shadow
      IUSE: +alsa ao +audiofile bzip2 cdio chromaprint +cue +curl doc +dbus +eventfd
        expat faad +ffmpeg +fifo flac fluidsynth gme +icu +id3tag +inotify +ipv6 jack
        lame libmpdclient libsamplerate libsoxr +mad mikmod mms modplug mpg123 musepack
        +network nfs openal opus oss pipe pulseaudio qobuz recorder samba selinux
        sid signalfd sndfile sndio soundcloud sqlite systemd test twolame udisks vorbis
        wavpack webdav wildmidi upnp zeroconf zip zlib kernel_linux
      RDEPEND: sys-libs/liburing:= alsa? ( media-libs/alsa-lib media-sound/alsa-utils
        ) ao? ( media-libs/libao:=[alsa?,pulseaudio?] ) audiofile? ( media-libs/audiofile:=
        ) cdio? ( dev-libs/libcdio:= dev-libs/libcdio-paranoia ) chromaprint? ( media-libs/chromaprint
        ) curl? ( net-misc/curl ) dbus? ( sys-apps/dbus ) doc? ( dev-python/sphinx
        ) expat? ( dev-libs/expat ) faad? ( media-libs/faad2 ) ffmpeg? ( media-video/ffmpeg:=
        ) flac? ( media-libs/flac:= ) fluidsynth? ( media-sound/fluidsynth ) gme?
        ( >=media-libs/game-music-emu-0.6.0_pre20120802 ) icu? ( dev-libs/icu:= )
        id3tag? ( media-libs/libid3tag:= ) jack? ( virtual/jack ) lame? ( network?
        ( media-sound/lame ) ) libmpdclient? ( media-libs/libmpdclient ) libsamplerate?
        ( media-libs/libsamplerate ) libsoxr? ( media-libs/soxr ) mad? ( media-libs/libmad
        ) mikmod? ( media-libs/libmikmod ) mms? ( media-libs/libmms ) modplug? ( media-libs/libmodplug
        ) mpg123? ( media-sound/mpg123 ) musepack? ( media-sound/musepack-tools )
        network? ( media-libs/libshout ) nfs? ( net-fs/libnfs ) openal? ( media-libs/openal
        ) opus? ( media-libs/opus ) pulseaudio? ( media-sound/pulseaudio ) qobuz?
        ( dev-libs/libgcrypt:0 ) samba? ( net-fs/samba ) selinux? ( sec-policy/selinux-mpd
        ) sid? ( || ( media-libs/libsidplay:2 media-libs/libsidplayfp ) ) sndfile?
        ( media-libs/libsndfile ) sndio? ( media-sound/sndio ) soundcloud? ( >=dev-libs/yajl-2:=
        ) sqlite? ( dev-db/sqlite:3 ) twolame? ( media-sound/twolame ) udisks? ( sys-fs/udisks:2
        ) upnp? ( net-libs/libupnp:0 ) vorbis? ( media-libs/libvorbis ) wavpack? (
        media-sound/wavpack ) wildmidi? ( media-sound/wildmidi ) zeroconf? ( net-dns/avahi[dbus]
        ) zip? ( dev-libs/zziplib:= ) zlib? ( sys-libs/zlib:= )
      emerge.packages: media-sound/mpd
      kit: media-kit
      original.package.name: media-sound/mpd
      original.package.slot: "0"
      original.package.version: 0.23.15
    treedir: /build/packages
  package_dir: /pkgdir/mpd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7371c29fe0765010f12e28a1dd28f5cb78653030068f707585766e01b7e09775
compressiontype: zstd
files:
- etc/init.d/mpd
- etc/logrotate.d/mpd
- etc/mpd.conf
- usr/bin/mpd
- usr/share/doc/mpd-0.23.15/AUTHORS.bz2
- usr/share/doc/mpd-0.23.15/NEWS.bz2
- usr/share/doc/mpd-0.23.15/README.md.bz2
- usr/share/icons/hicolor/scalable/apps/mpd.svg
- var/db/pkg/media-sound/mpd-0.23.15/BDEPEND
- var/db/pkg/media-sound/mpd-0.23.15/BUILD_TIME
- var/db/pkg/media-sound/mpd-0.23.15/CATEGORY
- var/db/pkg/media-sound/mpd-0.23.15/CBUILD
- var/db/pkg/media-sound/mpd-0.23.15/CFLAGS
- var/db/pkg/media-sound/mpd-0.23.15/CHOST
- var/db/pkg/media-sound/mpd-0.23.15/CONTENTS
- var/db/pkg/media-sound/mpd-0.23.15/COUNTER
- var/db/pkg/media-sound/mpd-0.23.15/CTARGET
- var/db/pkg/media-sound/mpd-0.23.15/CXX
- var/db/pkg/media-sound/mpd-0.23.15/CXXFLAGS
- var/db/pkg/media-sound/mpd-0.23.15/DEFINED_PHASES
- var/db/pkg/media-sound/mpd-0.23.15/DEPEND
- var/db/pkg/media-sound/mpd-0.23.15/DESCRIPTION
- var/db/pkg/media-sound/mpd-0.23.15/EAPI
- var/db/pkg/media-sound/mpd-0.23.15/FEATURES
- var/db/pkg/media-sound/mpd-0.23.15/HOMEPAGE
- var/db/pkg/media-sound/mpd-0.23.15/INHERITED
- var/db/pkg/media-sound/mpd-0.23.15/IUSE
- var/db/pkg/media-sound/mpd-0.23.15/IUSE_EFFECTIVE
- var/db/pkg/media-sound/mpd-0.23.15/KEYWORDS
- var/db/pkg/media-sound/mpd-0.23.15/LDFLAGS
- var/db/pkg/media-sound/mpd-0.23.15/LICENSE
- var/db/pkg/media-sound/mpd-0.23.15/NEEDED
- var/db/pkg/media-sound/mpd-0.23.15/NEEDED.ELF.2
- var/db/pkg/media-sound/mpd-0.23.15/PF
- var/db/pkg/media-sound/mpd-0.23.15/RDEPEND
- var/db/pkg/media-sound/mpd-0.23.15/REQUIRES
- var/db/pkg/media-sound/mpd-0.23.15/RESTRICT
- var/db/pkg/media-sound/mpd-0.23.15/SIZE
- var/db/pkg/media-sound/mpd-0.23.15/SLOT
- var/db/pkg/media-sound/mpd-0.23.15/USE
- var/db/pkg/media-sound/mpd-0.23.15/environment.bz2
- var/db/pkg/media-sound/mpd-0.23.15/mpd-0.23.15.ebuild
- var/db/pkg/media-sound/mpd-0.23.15/repository
- var/lib/mpd/.keep_media-sound_mpd-0
- var/lib/mpd/music/.keep_media-sound_mpd-0
- var/lib/mpd/playlists/.keep_media-sound_mpd-0
package_cacheimage: ""
runtime:
  name: mpd
  version: 0.23.15+2
  category: media-sound
  use_flags:
  - -ao
  - -chromaprint
  - -doc
  - -expat
  - -jack
  - -libmpdclient
  - -libsamplerate
  - -libsoxr
  - -mpg123
  - -nfs
  - -openal
  - -qobuz
  - -samba
  - -selinux
  - -sndio
  - -soundcloud
  - -sqlite
  - -test
  - -udisks
  - -upnp
  - -zip
  - alsa
  - audiofile
  - cdio
  - curl
  - dbus
  - faad
  - ffmpeg
  - flac
  - fluidsynth
  - gme
  - icu
  - id3tag
  - lame
  - mad
  - mikmod
  - mms
  - modplug
  - musepack
  - network
  - opus
  - pulseaudio
  - sid
  - sndfile
  - twolame
  - vorbis
  - wavpack
  - wildmidi
  - zeroconf
  - zlib
  requires:
  - name: icu
    version: '>=0'
    category: dev-libs
  - name: audiofile
    version: '>=0'
    category: media-libs
  - name: faad2
    version: '>=0'
    category: media-libs
  - name: game-music-emu
    version: '>=0'
    category: media-libs
  - name: libid3tag
    version: '>=0'
    category: media-libs
  - name: libmad
    version: '>=0'
    category: media-libs
  - name: libmikmod
    version: '>=0'
    category: media-libs
  - name: libmms
    version: '>=0'
    category: media-libs
  - name: libshout
    version: '>=0'
    category: media-libs
  - name: alsa-utils
    version: '>=0'
    category: media-sound-0.9
  - name: fluidsynth
    version: '>=0'
    category: media-sound
  - name: musepack-tools
    version: '>=0'
    category: media-sound
  - name: pulseaudio
    version: '>=0'
    category: media-sound
  - name: wildmidi
    version: '>=0'
    category: media-sound
  - name: ffmpeg
    version: '>=0'
    category: media-video
  - name: curl
    version: '>=0'
    category: net-misc
  - name: liburing
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The Music Player Daemon (mpd)
  uri:
  - https://www.musicpd.org https://github.com/MusicPlayerDaemon/MPD
  license: GPL-2
  labels:
    BDEPEND: '>=dev-util/meson-0.49.2 virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: sys-libs/liburing:= alsa? ( media-libs/alsa-lib media-sound/alsa-utils
      ) ao? ( media-libs/libao:=[alsa?,pulseaudio?] ) audiofile? ( media-libs/audiofile:=
      ) cdio? ( dev-libs/libcdio:= dev-libs/libcdio-paranoia ) chromaprint? ( media-libs/chromaprint
      ) curl? ( net-misc/curl ) dbus? ( sys-apps/dbus ) doc? ( dev-python/sphinx )
      expat? ( dev-libs/expat ) faad? ( media-libs/faad2 ) ffmpeg? ( media-video/ffmpeg:=
      ) flac? ( media-libs/flac:= ) fluidsynth? ( media-sound/fluidsynth ) gme? (
      >=media-libs/game-music-emu-0.6.0_pre20120802 ) icu? ( dev-libs/icu:= ) id3tag?
      ( media-libs/libid3tag:= ) jack? ( virtual/jack ) lame? ( network? ( media-sound/lame
      ) ) libmpdclient? ( media-libs/libmpdclient ) libsamplerate? ( media-libs/libsamplerate
      ) libsoxr? ( media-libs/soxr ) mad? ( media-libs/libmad ) mikmod? ( media-libs/libmikmod
      ) mms? ( media-libs/libmms ) modplug? ( media-libs/libmodplug ) mpg123? ( media-sound/mpg123
      ) musepack? ( media-sound/musepack-tools ) network? ( media-libs/libshout )
      nfs? ( net-fs/libnfs ) openal? ( media-libs/openal ) opus? ( media-libs/opus
      ) pulseaudio? ( media-sound/pulseaudio ) qobuz? ( dev-libs/libgcrypt:0 ) samba?
      ( net-fs/samba ) selinux? ( sec-policy/selinux-mpd ) sid? ( || ( media-libs/libsidplay:2
      media-libs/libsidplayfp ) ) sndfile? ( media-libs/libsndfile ) sndio? ( media-sound/sndio
      ) soundcloud? ( >=dev-libs/yajl-2:= ) sqlite? ( dev-db/sqlite:3 ) twolame? (
      media-sound/twolame ) udisks? ( sys-fs/udisks:2 ) upnp? ( net-libs/libupnp:0
      ) vorbis? ( media-libs/libvorbis ) wavpack? ( media-sound/wavpack ) wildmidi?
      ( media-sound/wildmidi ) zeroconf? ( net-dns/avahi[dbus] ) zip? ( dev-libs/zziplib:=
      ) zlib? ( sys-libs/zlib:= ) dev-libs/boost:= dev-libs/libfmt test? ( dev-cpp/gtest
      ) sys-apps/shadow
    IUSE: +alsa ao +audiofile bzip2 cdio chromaprint +cue +curl doc +dbus +eventfd
      expat faad +ffmpeg +fifo flac fluidsynth gme +icu +id3tag +inotify +ipv6 jack
      lame libmpdclient libsamplerate libsoxr +mad mikmod mms modplug mpg123 musepack
      +network nfs openal opus oss pipe pulseaudio qobuz recorder samba selinux sid
      signalfd sndfile sndio soundcloud sqlite systemd test twolame udisks vorbis
      wavpack webdav wildmidi upnp zeroconf zip zlib kernel_linux
    RDEPEND: sys-libs/liburing:= alsa? ( media-libs/alsa-lib media-sound/alsa-utils
      ) ao? ( media-libs/libao:=[alsa?,pulseaudio?] ) audiofile? ( media-libs/audiofile:=
      ) cdio? ( dev-libs/libcdio:= dev-libs/libcdio-paranoia ) chromaprint? ( media-libs/chromaprint
      ) curl? ( net-misc/curl ) dbus? ( sys-apps/dbus ) doc? ( dev-python/sphinx )
      expat? ( dev-libs/expat ) faad? ( media-libs/faad2 ) ffmpeg? ( media-video/ffmpeg:=
      ) flac? ( media-libs/flac:= ) fluidsynth? ( media-sound/fluidsynth ) gme? (
      >=media-libs/game-music-emu-0.6.0_pre20120802 ) icu? ( dev-libs/icu:= ) id3tag?
      ( media-libs/libid3tag:= ) jack? ( virtual/jack ) lame? ( network? ( media-sound/lame
      ) ) libmpdclient? ( media-libs/libmpdclient ) libsamplerate? ( media-libs/libsamplerate
      ) libsoxr? ( media-libs/soxr ) mad? ( media-libs/libmad ) mikmod? ( media-libs/libmikmod
      ) mms? ( media-libs/libmms ) modplug? ( media-libs/libmodplug ) mpg123? ( media-sound/mpg123
      ) musepack? ( media-sound/musepack-tools ) network? ( media-libs/libshout )
      nfs? ( net-fs/libnfs ) openal? ( media-libs/openal ) opus? ( media-libs/opus
      ) pulseaudio? ( media-sound/pulseaudio ) qobuz? ( dev-libs/libgcrypt:0 ) samba?
      ( net-fs/samba ) selinux? ( sec-policy/selinux-mpd ) sid? ( || ( media-libs/libsidplay:2
      media-libs/libsidplayfp ) ) sndfile? ( media-libs/libsndfile ) sndio? ( media-sound/sndio
      ) soundcloud? ( >=dev-libs/yajl-2:= ) sqlite? ( dev-db/sqlite:3 ) twolame? (
      media-sound/twolame ) udisks? ( sys-fs/udisks:2 ) upnp? ( net-libs/libupnp:0
      ) vorbis? ( media-libs/libvorbis ) wavpack? ( media-sound/wavpack ) wildmidi?
      ( media-sound/wildmidi ) zeroconf? ( net-dns/avahi[dbus] ) zip? ( dev-libs/zziplib:=
      ) zlib? ( sys-libs/zlib:= )
    emerge.packages: media-sound/mpd
    kit: media-kit
    original.package.name: media-sound/mpd
    original.package.slot: "0"
    original.package.version: 0.23.15
